From 1f8ebe0c0f42250fead6b37f0f5328ea3ddd7060 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Sun, 1 Aug 2021 14:17:38 -0700
Subject: [PATCH v1 03/10] process startup: auxprocess: reindent block

Kept separate for ease of review.

Author:
Reviewed-By:
Discussion: https://postgr.es/m/
Backpatch:
---
 src/backend/bootstrap/bootstrap.c | 67 +++++++++++++++----------------
 1 file changed, 33 insertions(+), 34 deletions(-)

diff --git a/src/backend/bootstrap/bootstrap.c b/src/backend/bootstrap/bootstrap.c
index d4f341937dc..aac65a86aca 100644
--- a/src/backend/bootstrap/bootstrap.c
+++ b/src/backend/bootstrap/bootstrap.c
@@ -236,48 +236,47 @@ AuxiliaryProcessMain(AuxProcType auxtype)
 	 * pushups, but there are a couple of things that need to get lit up even
 	 * in an auxiliary process.
 	 */
-	{
-		/*
-		 * Create a PGPROC so we can use LWLocks.  In the EXEC_BACKEND case,
-		 * this was already done by SubPostmasterMain().
-		 */
+
+	/*
+	 * Create a PGPROC so we can use LWLocks.  In the EXEC_BACKEND case,
+	 * this was already done by SubPostmasterMain().
+	 */
 #ifndef EXEC_BACKEND
-		InitAuxiliaryProcess();
+	InitAuxiliaryProcess();
 #endif
 
-		/*
-		 * Assign the ProcSignalSlot for an auxiliary process.  Since it
-		 * doesn't have a BackendId, the slot is statically allocated based on
-		 * the auxiliary process type (MyAuxProcType).  Backends use slots
-		 * indexed in the range from 1 to MaxBackends (inclusive), so we use
-		 * MaxBackends + AuxProcType + 1 as the index of the slot for an
-		 * auxiliary process.
-		 *
-		 * This will need rethinking if we ever want more than one of a
-		 * particular auxiliary process type.
-		 */
-		ProcSignalInit(MaxBackends + MyAuxProcType + 1);
+	/*
+	 * Assign the ProcSignalSlot for an auxiliary process.  Since it
+	 * doesn't have a BackendId, the slot is statically allocated based on
+	 * the auxiliary process type (MyAuxProcType).  Backends use slots
+	 * indexed in the range from 1 to MaxBackends (inclusive), so we use
+	 * MaxBackends + AuxProcType + 1 as the index of the slot for an
+	 * auxiliary process.
+	 *
+	 * This will need rethinking if we ever want more than one of a
+	 * particular auxiliary process type.
+	 */
+	ProcSignalInit(MaxBackends + MyAuxProcType + 1);
 
-		/* finish setting up bufmgr.c */
-		InitBufferPoolBackend();
+	/* finish setting up bufmgr.c */
+	InitBufferPoolBackend();
 
-		/*
-		 * Auxiliary processes don't run transactions, but they may need a
-		 * resource owner anyway to manage buffer pins acquired outside
-		 * transactions (and, perhaps, other things in future).
-		 */
-		CreateAuxProcessResourceOwner();
+	/*
+	 * Auxiliary processes don't run transactions, but they may need a
+	 * resource owner anyway to manage buffer pins acquired outside
+	 * transactions (and, perhaps, other things in future).
+	 */
+	CreateAuxProcessResourceOwner();
 
-		/* Initialize statistics reporting */
-		pgstat_initialize();
+	/* Initialize statistics reporting */
+	pgstat_initialize();
 
-		/* Initialize backend status information */
-		pgstat_beinit();
-		pgstat_bestart();
+	/* Initialize backend status information */
+	pgstat_beinit();
+	pgstat_bestart();
 
-		/* register a before-shutdown callback for LWLock cleanup */
-		before_shmem_exit(ShutdownAuxiliaryProcess, 0);
-	}
+	/* register a before-shutdown callback for LWLock cleanup */
+	before_shmem_exit(ShutdownAuxiliaryProcess, 0);
 
 	SetProcessingMode(NormalProcessing);
 
-- 
2.32.0.rc2

